diff -ru Source/JavaScriptCore/ChangeLog Source//JavaScriptCore/ChangeLog
--- Source/JavaScriptCore/ChangeLog	2011-12-15 13:19:19.000000000 +0100
+++ Source//JavaScriptCore/ChangeLog	2012-05-15 13:52:40.637868002 +0200
@@ -1,3 +1,14 @@
+2012-02-23  Aron Rosenberg  <arosenberg@logitech.com>
+
+        Fix the PRI macros used in WTF::String formatters to be compatible with Qt and Visual Studio 2005 and newer.
+        https://bugs.webkit.org/show_bug.cgi?id=76210
+
+        Add compile time check for Visual Studio 2005 or newer.
+
+        Reviewed by Simon Hausmann.
+
+        * os-win32/inttypes.h:
+
 2011-05-23  Thouraya ANDOLSI  <thouraya.andolsi@st.com>
 
         Reviewed by Gavin Barraclough.
diff -ru Source/JavaScriptCore/heap/MachineStackMarker.cpp Source//JavaScriptCore/heap/MachineStackMarker.cpp
--- Source/JavaScriptCore/heap/MachineStackMarker.cpp	2011-12-07 14:59:01.000000000 +0100
+++ Source//JavaScriptCore/heap/MachineStackMarker.cpp	2012-05-15 13:48:07.057868002 +0200
@@ -47,6 +47,10 @@
 #include <windows.h>
 #include <malloc.h>
 
+#elif OS(QNX)
+
+#include <sys/neutrino.h>
+
 #elif OS(HAIKU)
 
 #include <OS.h>
@@ -76,7 +80,7 @@
 #include <errno.h>
 #endif
 
-#if USE(PTHREADS) && !OS(WINDOWS) && !OS(DARWIN)
+#if USE(PTHREADS) && !OS(WINDOWS) && !OS(DARWIN) && !OS(QNX)
 #include <signal.h>
 #ifndef SA_RESTART
 #error MachineThreads requires SA_RESTART
@@ -105,6 +109,8 @@
 
 #if OS(DARWIN)
 typedef mach_port_t PlatformThread;
+#elif OS(QNX)
+typedef pthread_t PlatformThread;
 #elif OS(WINDOWS)
 typedef HANDLE PlatformThread;
 #elif USE(PTHREADS)
@@ -127,7 +133,7 @@
         , platformThread(platThread)
         , stackBase(base)
     {
-#if USE(PTHREADS) && !OS(WINDOWS) && !OS(DARWIN)
+#if USE(PTHREADS) && !OS(WINDOWS) && !OS(DARWIN) && !OS(QNX)
         struct sigaction action;
         action.sa_handler = pthreadSignalHandlerSuspendResume;
         sigemptyset(&action.sa_mask);
@@ -283,6 +289,8 @@
 {
 #if OS(DARWIN)
     thread_suspend(platformThread);
+#elif OS(QNX)
+    ThreadCtl(_NTO_TCTL_ONE_THREAD_HOLD, static_cast<void*>(platformThread));
 #elif OS(WINDOWS)
     SuspendThread(platformThread);
 #elif USE(PTHREADS)
@@ -296,6 +304,8 @@
 {
 #if OS(DARWIN)
     thread_resume(platformThread);
+#elif OS(QNX)
+    ThreadCtl(_NTO_TCTL_ONE_THREAD_CONT, static_cast<void*>(platformThread));
 #elif OS(WINDOWS)
     ResumeThread(platformThread);
 #elif USE(PTHREADS)
diff -ru Source/JavaScriptCore/jit/JITStubs.cpp Source//JavaScriptCore/jit/JITStubs.cpp
--- Source/JavaScriptCore/jit/JITStubs.cpp	2011-12-07 14:59:01.000000000 +0100
+++ Source//JavaScriptCore/jit/JITStubs.cpp	2012-05-15 13:48:07.142867999 +0200
@@ -353,7 +353,7 @@
 ".globl " SYMBOL_STRING(ctiVMThrowTrampoline) "\n"
 HIDE_SYMBOL(ctiVMThrowTrampoline) "\n"
 SYMBOL_STRING(ctiVMThrowTrampoline) ":" "\n"
-    "mov.l .L2"SYMBOL_STRING(cti_vm_throw)",r0" "\n"
+    "mov.l .L2" SYMBOL_STRING(cti_vm_throw) ",r0" "\n"
     "mov r15, r4" "\n"
     "mov.l @(r0,r12),r11" "\n"
     "jsr @r11" "\n"
@@ -369,7 +369,7 @@
     "rts" "\n"
     "nop" "\n"
     ".align 2" "\n"
-    ".L2"SYMBOL_STRING(cti_vm_throw)":.long " SYMBOL_STRING(cti_vm_throw)"@GOT \n"
+    ".L2" SYMBOL_STRING(cti_vm_throw)":.long " SYMBOL_STRING(cti_vm_throw) "@GOT \n"
 );
 
 asm volatile (
@@ -1239,7 +1239,7 @@
     SYMBOL_STRING(cti_##op) ":" "\n" \
     "sts pr, r11" "\n" \
     "mov.l r11, @(0x38, r15)" "\n" \
-    "mov.l .L2"SYMBOL_STRING(JITStubThunked_##op)",r0" "\n" \
+    "mov.l .L2" SYMBOL_STRING(JITStubThunked_##op) ",r0" "\n" \
     "mov.l @(r0,r12),r11" "\n" \
     "jsr @r11" "\n" \
     "nop" "\n" \
@@ -1248,7 +1248,7 @@
     "rts" "\n" \
     "nop" "\n" \
     ".align 2" "\n" \
-    ".L2"SYMBOL_STRING(JITStubThunked_##op)":.long " SYMBOL_STRING(JITStubThunked_##op)"@GOT \n" \
+    ".L2" SYMBOL_STRING(JITStubThunked_##op) ":.long " SYMBOL_STRING(JITStubThunked_##op)"@GOT \n" \
     ); \
     rtype JITStubThunked_##op(STUB_ARGS_DECLARATION)
 #else
diff -ru Source/JavaScriptCore/os-win32/inttypes.h Source//JavaScriptCore/os-win32/inttypes.h
--- Source/JavaScriptCore/os-win32/inttypes.h	2011-12-07 14:59:01.000000000 +0100
+++ Source//JavaScriptCore/os-win32/inttypes.h	2012-05-15 13:52:40.637868002 +0200
@@ -38,6 +38,11 @@
 #error "This inttypes.h file should only be compiled with MSVC"
 #endif
 
+#ifdef WTF_COMPILER_MSVC7_OR_LOWER
+// https://bugs.webkit.org/show_bug.cgi?id=76210
+#error "Visual Studio 2005 or newer is required"
+#endif
+
 #if _MSC_VER > 1000
 #pragma once
 #endif
@@ -63,22 +68,22 @@
 #define PRIdFAST16   "hd"
 #define PRIiFAST16   "hi"
 
-#define PRId32       "I32d"
-#define PRIi32       "I32i"
-#define PRIdLEAST32  "I32d"
-#define PRIiLEAST32  "I32i"
-#define PRIdFAST32   "I32d"
-#define PRIiFAST32   "I32i"
-
-#define PRId64       "I64d"
-#define PRIi64       "I64i"
-#define PRIdLEAST64  "I64d"
-#define PRIiLEAST64  "I64i"
-#define PRIdFAST64   "I64d"
-#define PRIiFAST64   "I64i"
+#define PRId32       "d"
+#define PRIi32       "i"
+#define PRIdLEAST32  "d"
+#define PRIiLEAST32  "i"
+#define PRIdFAST32   "d"
+#define PRIiFAST32   "i"
+
+#define PRId64       "lld"
+#define PRIi64       "lli"
+#define PRIdLEAST64  "lld"
+#define PRIiLEAST64  "lli"
+#define PRIdFAST64   "lld"
+#define PRIiFAST64   "lli"
 
-#define PRIdMAX     "I64d"
-#define PRIiMAX     "I64i"
+#define PRIdMAX     "lld"
+#define PRIiMAX     "lli"
 
 #define PRIdPTR     "Id"
 #define PRIiPTR     "Ii"
@@ -110,36 +115,36 @@
 #define PRIxFAST16   "hx"
 #define PRIXFAST16   "hX"
 
-#define PRIo32       "I32o"
-#define PRIu32       "I32u"
-#define PRIx32       "I32x"
-#define PRIX32       "I32X"
-#define PRIoLEAST32  "I32o"
-#define PRIuLEAST32  "I32u"
-#define PRIxLEAST32  "I32x"
-#define PRIXLEAST32  "I32X"
-#define PRIoFAST32   "I32o"
-#define PRIuFAST32   "I32u"
-#define PRIxFAST32   "I32x"
-#define PRIXFAST32   "I32X"
-
-#define PRIo64       "I64o"
-#define PRIu64       "I64u"
-#define PRIx64       "I64x"
-#define PRIX64       "I64X"
-#define PRIoLEAST64  "I64o"
-#define PRIuLEAST64  "I64u"
-#define PRIxLEAST64  "I64x"
-#define PRIXLEAST64  "I64X"
-#define PRIoFAST64   "I64o"
-#define PRIuFAST64   "I64u"
-#define PRIxFAST64   "I64x"
-#define PRIXFAST64   "I64X"
-
-#define PRIoMAX     "I64o"
-#define PRIuMAX     "I64u"
-#define PRIxMAX     "I64x"
-#define PRIXMAX     "I64X"
+#define PRIo32       "o"
+#define PRIu32       "u"
+#define PRIx32       "x"
+#define PRIX32       "X"
+#define PRIoLEAST32  "o"
+#define PRIuLEAST32  "u"
+#define PRIxLEAST32  "x"
+#define PRIXLEAST32  "X"
+#define PRIoFAST32   "o"
+#define PRIuFAST32   "u"
+#define PRIxFAST32   "x"
+#define PRIXFAST32   "X"
+
+#define PRIo64       "llo"
+#define PRIu64       "llu"
+#define PRIx64       "llx"
+#define PRIX64       "llX"
+#define PRIoLEAST64  "llo"
+#define PRIuLEAST64  "llu"
+#define PRIxLEAST64  "llx"
+#define PRIXLEAST64  "llX"
+#define PRIoFAST64   "llo"
+#define PRIuFAST64   "llu"
+#define PRIxFAST64   "llx"
+#define PRIXFAST64   "llX"
+
+#define PRIoMAX     "llo"
+#define PRIuMAX     "llu"
+#define PRIxMAX     "llx"
+#define PRIXMAX     "llX"
 
 #define PRIoPTR     "Io"
 #define PRIuPTR     "Iu"
@@ -168,19 +173,19 @@
 #define SCNdFAST32   "ld"
 #define SCNiFAST32   "li"
 
-#define SCNd64       "I64d"
-#define SCNi64       "I64i"
-#define SCNdLEAST64  "I64d"
-#define SCNiLEAST64  "I64i"
-#define SCNdFAST64   "I64d"
-#define SCNiFAST64   "I64i"
+#define SCNd64       "lld"
+#define SCNi64       "lli"
+#define SCNdLEAST64  "lld"
+#define SCNiLEAST64  "lli"
+#define SCNdFAST64   "lld"
+#define SCNiFAST64   "lli"
 
-#define SCNdMAX     "I64d"
-#define SCNiMAX     "I64i"
+#define SCNdMAX     "lld"
+#define SCNiMAX     "lli"
 
 #ifdef _WIN64
-#  define SCNdPTR     "I64d"
-#  define SCNiPTR     "I64i"
+#  define SCNdPTR     "lld"
+#  define SCNiPTR     "lli"
 #else
 #  define SCNdPTR     "ld"
 #  define SCNiPTR     "li"
@@ -226,29 +231,29 @@
 #define SCNxFAST32   "lx"
 #define SCNXFAST32   "lX"
 
-#define SCNo64       "I64o"
-#define SCNu64       "I64u"
-#define SCNx64       "I64x"
-#define SCNX64       "I64X"
-#define SCNoLEAST64  "I64o"
-#define SCNuLEAST64  "I64u"
-#define SCNxLEAST64  "I64x"
-#define SCNXLEAST64  "I64X"
-#define SCNoFAST64   "I64o"
-#define SCNuFAST64   "I64u"
-#define SCNxFAST64   "I64x"
-#define SCNXFAST64   "I64X"
-
-#define SCNoMAX     "I64o"
-#define SCNuMAX     "I64u"
-#define SCNxMAX     "I64x"
-#define SCNXMAX     "I64X"
+#define SCNo64       "llo"
+#define SCNu64       "llu"
+#define SCNx64       "llx"
+#define SCNX64       "llX"
+#define SCNoLEAST64  "llo"
+#define SCNuLEAST64  "llu"
+#define SCNxLEAST64  "llx"
+#define SCNXLEAST64  "llX"
+#define SCNoFAST64   "llo"
+#define SCNuFAST64   "llu"
+#define SCNxFAST64   "llx"
+#define SCNXFAST64   "llX"
+
+#define SCNoMAX     "llo"
+#define SCNuMAX     "llu"
+#define SCNxMAX     "llx"
+#define SCNXMAX     "llX"
 
 #ifdef _WIN64
-#  define SCNoPTR     "I64o"
-#  define SCNuPTR     "I64u"
-#  define SCNxPTR     "I64x"
-#  define SCNXPTR     "I64X"
+#  define SCNoPTR     "llo"
+#  define SCNuPTR     "llu"
+#  define SCNxPTR     "llx"
+#  define SCNXPTR     "llX"
 #else
 #  define SCNoPTR     "lo"
 #  define SCNuPTR     "lu"
diff -ru Source/JavaScriptCore/wtf/Atomics.h Source//JavaScriptCore/wtf/Atomics.h
--- Source/JavaScriptCore/wtf/Atomics.h	2011-12-07 14:59:02.000000000 +0100
+++ Source//JavaScriptCore/wtf/Atomics.h	2012-05-15 13:48:07.203868002 +0200
@@ -67,6 +67,8 @@
 #include <libkern/OSAtomic.h>
 #elif OS(ANDROID)
 #include <cutils/atomic.h>
+#elif OS(QNX)
+#include <atomic.h>
 #elif COMPILER(GCC) && !OS(SYMBIAN)
 #if (__GNUC__ > 4) || ((__GNUC__ == 4) && (__GNUC_MINOR__ >= 2))
 #include <ext/atomicity.h>
@@ -99,6 +101,11 @@
 inline int atomicIncrement(int volatile* addend) { return android_atomic_inc(addend); }
 inline int atomicDecrement(int volatile* addend) { return android_atomic_dec(addend); }
 
+#elif OS(QNX)
+
+inline int atomicIncrement(int volatile* addend) { return (int) atomic_add_value((unsigned int volatile*)addend, 1); }
+inline int atomicDecrement(int volatile* addend) { return (int) atomic_sub_value((unsigned int volatile*)addend, 1); }
+
 #elif COMPILER(GCC) && !CPU(SPARC64) && !OS(SYMBIAN) // sizeof(_Atomic_word) != sizeof(int) on sparc64 gcc
 #define WTF_USE_LOCKFREE_THREADSAFEREFCOUNTED 1
 
diff -ru Source/JavaScriptCore/wtf/MathExtras.h Source//JavaScriptCore/wtf/MathExtras.h
--- Source/JavaScriptCore/wtf/MathExtras.h	2011-12-07 14:59:02.000000000 +0100
+++ Source//JavaScriptCore/wtf/MathExtras.h	2012-05-15 13:48:07.234868002 +0200
@@ -32,6 +32,10 @@
 #include <limits>
 #include <stdlib.h>
 
+#if OS(QNX)
+#include <math.h>
+#endif
+
 #if OS(SOLARIS)
 #include <ieeefp.h>
 #endif
diff -ru Source/ThirdParty/ANGLE/src/common/debug.h Source//ThirdParty/ANGLE/src/common/debug.h
--- Source/ThirdParty/ANGLE/src/common/debug.h	2011-12-07 14:59:03.000000000 +0100
+++ Source//ThirdParty/ANGLE/src/common/debug.h	2012-05-15 13:48:08.129868001 +0200
@@ -20,21 +20,21 @@
 
 // A macro to output a trace of a function call and its arguments to the debugging log
 #if !defined(NDEBUG) && !defined(ANGLE_DISABLE_TRACE) 
-    #define TRACE(message, ...) gl::trace("trace: %s"message"\n", __FUNCTION__, __VA_ARGS__)
+    #define TRACE(message, ...) gl::trace("trace: %s" message "\n", __FUNCTION__, __VA_ARGS__)
 #else
     #define TRACE(...) ((void)0)
 #endif
 
 // A macro to output a function call and its arguments to the debugging log, to denote an item in need of fixing. Will occur even in release mode.
-#define FIXME(message, ...) gl::trace("fixme: %s"message"\n", __FUNCTION__, __VA_ARGS__)
+#define FIXME(message, ...) gl::trace("fixme: %s" message "\n", __FUNCTION__, __VA_ARGS__)
 
 // A macro to output a function call and its arguments to the debugging log, in case of error. Will occur even in release mode.
-#define ERR(message, ...) gl::trace("err: %s"message"\n", __FUNCTION__, __VA_ARGS__)
+#define ERR(message, ...) gl::trace("err: %s" message "\n", __FUNCTION__, __VA_ARGS__)
 
 // A macro asserting a condition and outputting failures to the debug log
 #define ASSERT(expression) do { \
     if(!(expression)) \
-        ERR("\t! Assert failed in %s(%d): "#expression"\n", __FUNCTION__, __LINE__); \
+        ERR("\t! Assert failed in %s(%d): " #expression "\n", __FUNCTION__, __LINE__); \
     assert(expression); \
     } while(0)
 
diff -ru Source/ThirdParty/ANGLE/src/libEGL/libEGL.cpp Source//ThirdParty/ANGLE/src/libEGL/libEGL.cpp
--- Source/ThirdParty/ANGLE/src/libEGL/libEGL.cpp	2011-12-07 14:59:03.000000000 +0100
+++ Source//ThirdParty/ANGLE/src/libEGL/libEGL.cpp	2012-05-15 13:48:08.255868001 +0200
@@ -197,7 +197,7 @@
           case EGL_VENDOR:
             return success("TransGaming Inc.");
           case EGL_VERSION:
-            return success("1.4 (git-devel "__DATE__" " __TIME__")");
+            return success("1.4 (git-devel " __DATE__ " "  __TIME__ ")");
         }
 
         return error(EGL_BAD_PARAMETER, (const char*)NULL);
diff -ru Source/ThirdParty/ANGLE/src/libGLESv2/libGLESv2.cpp Source//ThirdParty/ANGLE/src/libGLESv2/libGLESv2.cpp
--- Source/ThirdParty/ANGLE/src/libGLESv2/libGLESv2.cpp	2011-12-07 14:59:03.000000000 +0100
+++ Source//ThirdParty/ANGLE/src/libGLESv2/libGLESv2.cpp	2012-05-15 13:48:08.307868001 +0200
@@ -3214,9 +3214,9 @@
           case GL_RENDERER:
             return (GLubyte*)"ANGLE";
           case GL_VERSION:
-            return (GLubyte*)"OpenGL ES 2.0 (git-devel "__DATE__ " " __TIME__")";
+            return (GLubyte*)"OpenGL ES 2.0 (git-devel " __DATE__ " " __TIME__ ")";
           case GL_SHADING_LANGUAGE_VERSION:
-            return (GLubyte*)"OpenGL ES GLSL ES 1.00 (git-devel "__DATE__ " " __TIME__")";
+            return (GLubyte*)"OpenGL ES GLSL ES 1.00 (git-devel " __DATE__ " " __TIME__ ")";
           case GL_EXTENSIONS:
             return (GLubyte*)((context != NULL) ? context->getExtensionString() : "");
           default:
diff -ru Source/WebCore/platform/network/MIMESniffing.cpp Source//WebCore/platform/network/MIMESniffing.cpp
--- Source/WebCore/platform/network/MIMESniffing.cpp	2011-12-07 14:59:11.000000000 +0100
+++ Source//WebCore/platform/network/MIMESniffing.cpp	2012-05-15 13:48:15.706868001 +0200
@@ -20,7 +20,11 @@
 #include "config.h"
 #include "MIMESniffing.h"
 
+#if OS(QNX)
+#include <string.h>
+#else
 #include <cstring>
+#endif
 #include <stdint.h>
 
 // MIME type sniffing implementation based on http://tools.ietf.org/html/draft-abarth-mime-sniff-06
diff -ru Source/WebCore/platform/sql/SQLiteFileSystem.cpp Source//WebCore/platform/sql/SQLiteFileSystem.cpp
--- Source/WebCore/platform/sql/SQLiteFileSystem.cpp	2011-12-07 14:59:11.000000000 +0100
+++ Source//WebCore/platform/sql/SQLiteFileSystem.cpp	2012-05-15 13:48:15.715868002 +0200
@@ -77,10 +77,10 @@
     String fileName;
     do {
         ++seq;
-        fileName = pathByAppendingComponent(dbDir, String::format("%016"PRIx64".db", seq));
+        fileName = pathByAppendingComponent(dbDir, String::format("%016" PRIx64 ".db", seq));
     } while (fileExists(fileName));
 
-    return String::format("%016"PRIx64".db", seq);
+    return String::format("%016" PRIx64 ".db", seq);
 }
 
 String SQLiteFileSystem::appendDatabaseFileNameToPath(const String& path, const String& fileName)
diff -ru Source/WebCore/WebCore.pri Source//WebCore/WebCore.pri
--- Source/WebCore/WebCore.pri	2011-12-15 13:19:59.000000000 +0100
+++ Source//WebCore/WebCore.pri	2012-05-15 13:48:12.095868002 +0200
@@ -304,8 +304,8 @@
 
 # Remove whole program optimizations due to miscompilations
 win32-msvc2005|win32-msvc2008|win32-msvc2010|wince*:{
-    QMAKE_CFLAGS_RELEASE -= -GL
-    QMAKE_CXXFLAGS_RELEASE -= -GL
+    QMAKE_CFLAGS_LTCG -= -GL
+    QMAKE_CXXFLAGS_LTCG -= -GL
 
     # Disable incremental linking for windows 32bit OS debug build as WebKit is so big
     # that linker failes to link incrementally in debug mode.
diff -ru Source/WebKit/qt/Api/qwebkitglobal.h Source//WebKit/qt/Api/qwebkitglobal.h
--- Source/WebKit/qt/Api/qwebkitglobal.h	2011-12-07 14:59:13.000000000 +0100
+++ Source//WebKit/qt/Api/qwebkitglobal.h	2012-05-15 13:48:16.485867990 +0200
@@ -22,9 +22,9 @@
 
 #include <QtCore/qglobal.h>
 
-#define QTWEBKIT_VERSION_STR "2.2.0"
+#define QTWEBKIT_VERSION_STR "2.2.2"
 // QTWEBKIT_VERSION is (major << 16) + (minor << 8) + patch. Similar to Qt.
-#define QTWEBKIT_VERSION 0x020200
+#define QTWEBKIT_VERSION 0x020202
 // Use: #if (QTWEBKIT_VERSION >= QTWEBKIT_VERSION_CHECK(2, 0, 0)). Similar to Qt.
 #define QTWEBKIT_VERSION_CHECK(major, minor, patch) ((major<<16)|(minor<<8)|(patch))
 
diff -ru Source/WebKit/qt/Api/qwebpage.cpp Source//WebKit/qt/Api/qwebpage.cpp
--- Source/WebKit/qt/Api/qwebpage.cpp	2011-12-15 13:19:20.000000000 +0100
+++ Source//WebKit/qt/Api/qwebpage.cpp	2012-05-15 13:48:16.486867996 +0200
@@ -1668,7 +1668,7 @@
    changes the behaviour to a case sensitive find operation.
    \value FindWrapsAroundDocument Makes findText() restart from the beginning of the document if the end
    was reached and the text was not found.
-   \value HighlightAllOccurrences Highlights all existing occurrences of a specific string.
+   \value HighlightAllOccurrences Highlights all existing occurrences of a specific string. (This value was introduced in 4.6.)
 */
 
 /*!
diff -ru Source/WebKit/qt/Api/qwebsettings.cpp Source//WebKit/qt/Api/qwebsettings.cpp
--- Source/WebKit/qt/Api/qwebsettings.cpp	2011-12-07 14:59:13.000000000 +0100
+++ Source//WebKit/qt/Api/qwebsettings.cpp	2012-05-15 13:48:16.489868004 +0200
@@ -434,11 +434,13 @@
         web application cache feature is enabled or not. This is disabled by default.
     \value LocalStorageEnabled Specifies whether support for the HTML 5
         local storage feature is enabled or not. This is disabled by default.
+        (This value was introduced in 4.6.)
     \value LocalStorageDatabaseEnabled \e{This enum value is deprecated.} Use
         QWebSettings::LocalStorageEnabled instead.
     \value LocalContentCanAccessRemoteUrls Specifies whether locally loaded documents are
         allowed to access remote urls. This is disabled by default. For more information
         about security origins and local vs. remote content see QWebSecurityOrigin.
+        (This value was introduced in 4.6.)
     \value LocalContentCanAccessFileUrls Specifies whether locally loaded documents are
         allowed to access other local urls. This is enabled by default. For more information
         about security origins and local vs. remote content see QWebSecurityOrigin.
diff -ru Source/WebKit/qt/ChangeLog Source//WebKit/qt/ChangeLog
--- Source/WebKit/qt/ChangeLog	2011-12-15 13:19:20.000000000 +0100
+++ Source//WebKit/qt/ChangeLog	2012-05-15 13:52:40.638868002 +0200
@@ -1,3 +1,15 @@
+2012-04-02  Casper van Donderen  <casper.vandonderen@nokia.com>
+
+        Qt: Doc: Fix typo which marks document to be printed in console font.
+        https://bugs.webkit.org/show_bug.cgi?id=82893
+
+        Reviewed by Simon Hausmann.
+
+        The qtwebkit-bridge.qdoc file contained a typo where a \c {} was
+        missing its closing curly bracket, this marked the rest of the page as
+        text to be printed using the code/console font.
+        * docs/qtwebkit-bridge.qdoc:
+
 2011-11-03  Jesus Sanchez-Palencia  <jesus@webkit.org>
 
         Reviewed by Kenneth Rohde Christiansen.
diff -ru Source/WebKit/qt/docs/qtwebkit-bridge.qdoc Source//WebKit/qt/docs/qtwebkit-bridge.qdoc
--- Source/WebKit/qt/docs/qtwebkit-bridge.qdoc	2011-12-07 14:59:13.000000000 +0100
+++ Source//WebKit/qt/docs/qtwebkit-bridge.qdoc	2012-05-15 13:52:40.638868002 +0200
@@ -132,7 +132,7 @@
 
     \snippet webkitsnippets/qtwebkit_bridge_snippets.cpp 10
 
-    The call to \c{connect() establishes a connection between the signal
+    The call to \c{connect()} establishes a connection between the signal
     \c{somethingChanged} and the slot \c{function}. Whenever the object
     \c{myObject} emits the signal \c{somethingChanged}, the slot \c{function}
     of the object \c{thisObject} gets called automatically. Let's illustrate
diff -ru Source/WebKit/qt/docs/webkitsnippets/webelement/main.cpp Source//WebKit/qt/docs/webkitsnippets/webelement/main.cpp
--- Source/WebKit/qt/docs/webkitsnippets/webelement/main.cpp	2011-12-07 14:59:13.000000000 +0100
+++ Source//WebKit/qt/docs/webkitsnippets/webelement/main.cpp	2012-05-15 13:48:16.726868000 +0200
@@ -57,7 +57,7 @@
      */
 
     QWebElement button = document.findFirst("input[type=submit]");
-    button.evaluateJavaScript("click()");
+    button.evaluateJavaScript("this.click()");
 
 //! [Calling a DOM element method]
 
diff -ru Source/WebKit/qt/QtWebKit.pro Source//WebKit/qt/QtWebKit.pro
--- Source/WebKit/qt/QtWebKit.pro	2011-12-15 13:19:20.000000000 +0100
+++ Source//WebKit/qt/QtWebKit.pro	2012-05-15 13:48:16.634868002 +0200
@@ -123,7 +123,7 @@
     webkitlibs.pkg_prerules = vendorinfo
 
     webkitbackup.sources = symbian/backup_registration.xml
-    webkitbackup.path = /private/10202D56/import/packages/$$replace(TARGET.UID3, 0x,)
+    webkitbackup.path = /private/10202d56/import/packages/$$replace(TARGET.UID3, 0x,)
 
     contains(QT_CONFIG, declarative) {
          declarativeImport.sources = $$QT_BUILD_TREE/imports/QtWebKit/qmlwebkitplugin$${QT_LIBINFIX}.dll
diff -ru Source/WebKit/qt/qt_webkit_version.pri Source//WebKit/qt/qt_webkit_version.pri
--- Source/WebKit/qt/qt_webkit_version.pri	2011-12-07 14:59:13.000000000 +0100
+++ Source//WebKit/qt/qt_webkit_version.pri	2012-05-15 13:52:40.639868002 +0200
@@ -1,7 +1,7 @@
-QT_WEBKIT_VERSION = 4.9.0
+QT_WEBKIT_VERSION = 4.9.2
 QT_WEBKIT_MAJOR_VERSION = 4
 QT_WEBKIT_MINOR_VERSION = 9
-QT_WEBKIT_PATCH_VERSION = 0
+QT_WEBKIT_PATCH_VERSION = 2
 
 QT.webkit.name = QtWebKit
 QT.webkit.includes = $$QT_MODULE_INCLUDE_BASE $$QT_MODULE_INCLUDE_BASE/QtWebKit
diff -ru Source/WebKit/qt/WebCoreSupport/FrameLoaderClientQt.cpp Source//WebKit/qt/WebCoreSupport/FrameLoaderClientQt.cpp
--- Source/WebKit/qt/WebCoreSupport/FrameLoaderClientQt.cpp	2011-12-07 14:59:13.000000000 +0100
+++ Source//WebKit/qt/WebCoreSupport/FrameLoaderClientQt.cpp	2012-05-15 13:48:16.636868002 +0200
@@ -918,7 +918,7 @@
 WebCore::ResourceError FrameLoaderClientQt::cancelledError(const WebCore::ResourceRequest& request)
 {
     ResourceError error = ResourceError("QtNetwork", QNetworkReply::OperationCanceledError, request.url().prettyURL(),
-            QCoreApplication::translate("QWebFrame", "Request cancelled", 0, QCoreApplication::UnicodeUTF8));
+            QCoreApplication::translate("QWebFrame", "Request canceled", 0, QCoreApplication::UnicodeUTF8));
     error.setIsCancellation(true);
     return error;
 }
